<template>
  <div class="container">
    <main-header title="" />
    <div class="product-container">
      <img :src="product.imgSrc" class="image">
      <div class="text-container">
        <h2 class="title">
          {{ product.title }}
        </h2>
        <p class="description">
          {{ product.fullDescription }}
        </p>
        <div class="price-container">
          <span class="price">
            {{ prettifySum(product.price) }} ₽
          </span>
          <div class="button-container">
            <the-button buttonText="В корзину" isBlack @click="addItem" />
            <the-button buttonText="Убрать из корзины" isBlack @click="removeItem" />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { onMounted } from 'vue'
import { useRouter, useRoute } from 'vue-router'
import { useStore } from 'vuex'
import { prettifySum } from '@/assets/js/util.js'
import MainHeader from '@/components/blocs/MainHeader'
import TheButton from '@/components/ui/TheButton'

export default {
  components: {
    MainHeader, TheButton
  },
  setup () {
    const router = useRouter()
    const route = useRoute()
    const store = useStore()
    const product = store.getters.GetProducts.find(product => +route.params.id === product.id)
    const addItem = () => store.commit('SetAddItem', product.id)
    const removeItem = () => store.commit('SetRemoveItem', product.id)

    onMounted(() => {
      if (!localStorage.isAuthorized || !JSON.parse(localStorage.isAuthorized)) {
        router.push('/start')
      }
    })
    return {
      product, addItem, removeItem, prettifySum
    }
  }
}
</script>

<style lang="scss" scoped>
.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 70px;

  .product-container {
    margin-top: 35px;
    display: flex;
    justify-content: space-between;
    align-items: center;

    .image {
      width: 500px;
      height: 500px;
    }

    .text-container {
      width: 500px;
      height: 500px;
      text-align: start;
      font-family: Montserrat;

      .title {
        margin-top: 60px;
        font-size: 30px;
        font-weight: 500;
        color: #D58C51;
      }

      .description {
        margin-top: 20px;
        font-size: 14px;
        font-weight: 400;
        color: #FFFFFF;
      }

      .price-container {
        margin-top: 35px;
        display: flex;
        align-items: center;
        gap: 0 75px;

        .price {
          font-size: 23px;
          font-weight: 500;
          color: #FFF;
        }

        .button-container {
          display: flex;
          gap: 0 20px;

          .button {
            width: 150px;
          }
        }
      }
    }
  }
}
</style>
